/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 * @flow strict-local
 */

import React from 'react';
import {
  NativeModules,
  SafeAreaView,
  StyleSheet,
  ScrollView,
  View,
  Text,
  Button,
  StatusBar,
  Alert,
} from 'react-native';
import BMCUI from './ui.js'

import {
  Header,
  LearnMoreLinks,
  Colors,
  DebugInstructions,
  ReloadInstructions,
} from 'react-native/Libraries/NewAppScreen';

const App: () => React$Node = () => {
  return (
    <>
      <StatusBar barStyle="dark-content" />
      <SafeAreaView>
        <ScrollView
          contentInsetAdjustmentBehavior="automatic"
          style={styles.scrollView}>
          <Header />
          {global.HermesInternal == null ? null : (
            <View style={styles.engine}>
              <Text style={styles.footer}>Engine: Hermes(need config!!!!)</Text>
            </View>
          )}
          <View style={styles.body}>
            <View style={styles.buttonContainer}>
              <Button
                style={styles.buttonStyle}
                onPress={() => {
                  // BMCUI.show('"你点击了按钮！");\
                  console.log(NativeModules);
                  NativeModules.BMCUI.show("你点击了按钮111！");
                  // NativeModules.BMCUI.showWithDuration("你点击了按钮！", NativeModules.BMCUI.SHORT);
                  // Alert.alert("你点击了按钮");
                }}
                title="吐司"
              />
            </View>
            <View style={styles.buttonContainer}>
              <Button
                style={styles.buttonStyle}
                onPress={() => {
                  BMCUI.showConfirmDialogWithCancelable(false, "你点击了按钮222！", "确定", (result) => {
                    console.log("你点击了取确定按钮，结果为：" + result);
                  });
                  // BMCUI.showConfirmDialog("你点击了按钮222！", "确定", (result) => {
                  //   console.log("你点击了确定，结果为：" + result);
                  // });
                  // BMCUI.showConfirmDialogWithCancelableError((result) => {
                  //   console.log("你点击了确定，结果为：" + result);
                  // }, true, "你点击了按钮222！", "确定");
                }}
                title="单按钮提示框"
              />
            </View>
            <View style={styles.buttonContainer}>
              <Button
                style={styles.buttonStyle}
                onPress={() => {
                  BMCUI.showConfirmVsCancelDialog("你点击了按钮333！", "取消", "确定", (result) => {
                    console.log("你点击了取消单按钮，结果为：" + result);
                  }, (result) => {
                    console.log("你点击了取确定按钮，结果为：" + result);
                  });
                }}
                title="双按钮提示框"
              />
            </View>
            <View style={styles.sectionContainer}>
              <Text style={styles.sectionTitle}>Step One 111</Text>
              <Text style={styles.sectionDescription}>
                Edit <Text style={styles.highlight}>App.js</Text> to change this
                screen and then come back to see your edits.
              </Text>
            </View>
            <View style={styles.sectionContainer}>
              <Text style={styles.sectionTitle}>See Your Changes 2222</Text>
              <Text style={styles.sectionDescription}>
                <ReloadInstructions />
              </Text>
            </View>
            <View style={styles.sectionContainer}>
              <Text style={styles.sectionTitle}>Debug 3333</Text>
              <Text style={styles.sectionDescription}>
                <DebugInstructions />
              </Text>
            </View>
            <View style={styles.sectionContainer}>
              <Text style={styles.sectionTitle}>Learn More 4444</Text>
              <Text style={styles.sectionDescription}>
                Read the docs to discover what to do next:
              </Text>
            </View>
            <LearnMoreLinks />
          </View>
        </ScrollView>
      </SafeAreaView>
    </>
  );
};

const styles = StyleSheet.create({
  scrollView: {
    backgroundColor: Colors.lighter,
  },
  engine: {
    position: 'absolute',
    right: 0,
  },
  body: {
    backgroundColor: Colors.white,
  },
  sectionContainer: {
    marginTop: 32,
    paddingHorizontal: 24
  },
  buttonContainer: {
    marginTop: 5,
    paddingHorizontal: 24
  },
  sectionTitle: {
    fontSize: 24,
    fontWeight: '600',
    color: "#FF0000",
  },
  sectionDescription: {
    marginTop: 8,
    fontSize: 18,
    fontWeight: '400',
    color: Colors.dark,
  },
  highlight: {
    fontWeight: '700',
  },
  footer: {
    color: Colors.dark,
    fontSize: 12,
    fontWeight: '600',
    padding: 4,
    paddingRight: 12,
    textAlign: 'right',
  },
});

export default App;
